klay_estimateGas
POST
Estimates the gas required to execute a transaction. Estimates gas without actually submitting the transaction.
param[0]
callObjectobjectrequired
Call object for transaction simulation. May include the following fields.from: Enter the transaction's from address as a string.to: Enter the transaction's to address as a string.gas: Enter the gas limit for the transaction as a hexadecimal string. For smart contract calls, you can enter 0x0 since no gas is consumed.gasPrice: Enter the gas price per unit as a hexadecimal string.value: The value field of the transaction.data: The method signature hash of the transaction to execute. Can be referenced from the ABI.
fromstring
Enter the transaction's from address as a string.tostring
Enter the transaction's to address as a string.gasstring
Enter the gas limit for the transaction as a hexadecimal string. For smart contract calls, you can enter 0x0 since no gas is consumed.gasPricestring
Enter the gas price per unit as a hexadecimal string.valuestring
The value field of the transaction.datastring
The method signature hash of the transaction to execute. Can be referenced from the ABI.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "klay_estimateGas","params": [{"from": "0xc90d3Ac75D1D36dF0b0a229E73D8409FB7F3c4ab","to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","value": "0x186a0","data": "0x70a08231000000000000000000000000d8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}]}'